Bug 214135 - nbjunit not UNC-safe
nbjunit not UNC-safe
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: NB JUnit
7.2
PC Windows XP
: P3 (vote)
: 7.3
Assigned To: Jaroslav Tulach
issues@platform
:
Depends on:
Blocks: 213562
  Show dependency treegraph
 
Reported: 2012-06-13 13:37 UTC by Jesse Glick
Modified: 2012-11-30 02:39 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2012-06-13 13:37:56 UTC
Several classes in nbjunit use File.toURI and/or File.<init>(URI), and tests correspondingly explode when run over UNC. Since it cannot depend on openide.util, needs to copy methods from Utilities.

(For a similar reason, it has its own copy of FileUtil.normalizeFile. Really would be better to have a little module of JDK replacement utilities with no dependencies that could be used anywhere.)
Comment 1 Jesse Glick 2012-06-13 22:02:06 UTC
Not in 7.2.
Comment 2 Jaroslav Tulach 2012-11-27 14:27:28 UTC
ergonomics#5656b02a088d
Comment 3 Quality Engineering 2012-11-30 02:39:30 UTC
Integrated into 'main-golden', will be available in build *201211300001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/5656b02a088d
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #214135: More ready for UNC paths


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo